package com.fastest.pass.mastersignup.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.mastersignup.utils.MasterSignUpRoute
import kotlinx.coroutines.flow.MutableStateFlow

class MasterSignUpViewModel : ViewModel() {

    private val _router = MutableStateFlow<MasterSignUpRoute>(MasterSignUpRoute.OpenNoneScreen)
    val router: MutableStateFlow<MasterSignUpRoute> = _router

    fun navigateTo(masterSignUpRoute: MasterSignUpRoute) {
        _router.value = masterSignUpRoute
    }
}